--- clang-3.0.orig/tools/clang/lib/Driver/ToolChains.cpp
+++ clang-3.0/tools/clang/lib/Driver/ToolChains.cpp
@@ -1682,6 +1682,7 @@ Linux::GCCInstallationDetector::GCCInsta
     static const char *const PPCLibDirs[] = { "/lib32", "/lib" };
     static const char *const PPCTriples[] = {
       "powerpc-linux-gnu",
+      "powerpc-linux-gnuspe",
       "powerpc-unknown-linux-gnu"
     };
     LibDirs.append(PPCLibDirs, PPCLibDirs + llvm::array_lengthof(PPCLibDirs));
@@ -1786,6 +1787,8 @@ static std::string getMultiarchTriple(co
       return "x86_64-unknown-linux-gnu";
     return TargetTriple.str();
   case llvm::Triple::ppc:
+    if (llvm::sys::fs::exists(SysRoot + "/lib/powerpc-linux-gnuspe"))
+      return "powerpc-linux-gnuspe";
     if (llvm::sys::fs::exists(SysRoot + "/lib/powerpc-linux-gnu"))
       return "powerpc-linux-gnu";
     return TargetTriple.str();
--- clang-3.0.orig/tools/clang/lib/Lex/Makefile
+++ clang-3.0/tools/clang/lib/Lex/Makefile
@@ -17,8 +17,10 @@ include $(CLANG_LEVEL)/../../Makefile.co
 LIBRARYNAME := clangLex
 
 ifeq ($(ARCH),PowerPC)
+ifneq ($(shell dpkg-architecture -qDEB_HOST_ARCH),powerpcspe)
 CXX.Flags += -maltivec
 endif
+endif
 
 include $(CLANG_LEVEL)/Makefile
 
